## Script (Python) "insideI18NLayer"
##title=helper to check if inside an i18nlayer
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
REQUEST=context.REQUEST

try:
    parent = context.aq_inner.aq_parent
except:
    parent = None

try:
    pf = context.portal_factory
except AttributeError:
    pass
else:
    if pf.isTemporary(context):
        # skip over tempfolder / factory tool / original object
        try:
            parent = parent.aq_parent.aq_parent.aq_parent
        except:
            parent = None

try: 
    if parent and getattr(parent, 'meta_type', None) == 'I18NLayer':
        return 1
except: pass

return 0
